FROM debian:buster AS builder

ARG PREFIXV
ARG VERSION
RUN apt-get update && \
    apt-get install -y openjdk-11-jdk maven wget unzip && \
    wget https://github.com/jitsi/jicofo/archive/${PREFIXV}${VERSION}.zip -O jicofo.zip

RUN unzip jicofo.zip && \
    mv jicofo*${VERSION} jicofo && \
    cd jicofo && \
    mvn package -DskipTests -Dassembly.skipAssembly=false && \
    unzip target/jicofo-1.1-SNAPSHOT-archive.zip && \
    mv jicofo-1.1-SNAPSHOT /srv/build

FROM debian:buster

RUN apt-get update && \
    apt-get install -y openjdk-11-jdk ca-certificates

COPY --from=builder /srv/build /srv/jicofo
COPY jicofo /usr/local/bin/jicofo

CMD ["/usr/local/bin/jicofo"]
